#! /bin/bash

MNTPOINT=$1
AREA=$2
EMMC_MNTPOINT=/ro/.host
TARGET_DIR=${EMMC_MNTPOINT}/area${AREA}

SUM_GENERATED=/tmp/.sum_generated
FIRMFILE=`ps ax|grep "fuse-zip"|grep -v "grep"|awk '{print $(NF-1)}'`

generate_sum() {
    local firmfile=$1
    local targetdir=$2

    echo "* generating SUM file..."
    local sum_md5=`md5sum ${firmfile} | cut -d ' ' -f 1`
    echo "  MD5:  ${sum_md5}"
    local sum_sha1=`sha1sum ${firmfile} | cut -d ' ' -f 1`
    echo "  SHA1: ${sum_sha1}"
    echo -e "MD5 ${sum_md5}\nSHA1 ${sum_sha1}" > ${targetdir}/sumfile
    echo "  done."
}

generate_sum ${FIRMFILE} ${TARGET_DIR}
touch $SUM_GENERATED
